%define name python-twisted-lore
%define version 13.1.0
%define rel 3
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:        A documentation generator
Name:           %{name}
Version:        %{version}
Release:        %mkrel %{rel}
Source0:        http://twistedmatrix.com/Releases/Lore/%{mainver}/TwistedLore-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedLore
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core
# for docbook, lmath, etc
Requires:       python-twisted-web

%description
Twisted Lore is the documentation generator of the Twisted matrix
framework.

%prep
%setup -q -n TwistedLore-%{version}

%build
%__python setup.py build

%install
%__python setup.py install --root=%{buildroot} --install-purelib=%{python_sitearch}

%__install -d %{buildroot}%{_mandir}/man1
%__install -m 644 doc/man/*.1 %{buildroot}%{_mandir}/man1


%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc LICENSE README doc/*
%dir %{python_sitearch}/twisted/lore
%{python_sitearch}/twisted/lore/*
%{python_sitearch}/twisted/plugins/*
%{python_sitearch}/*.egg-info
%_mandir/man1/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 13.1.0-3.mga4
+ Revision: 544300
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 13.1.0-2.mga4
+ Revision: 499598
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 13.1.0-1.mga4
+ Revision: 491819
- Update to 13.1.0

* Sun Jan 13 2013 umeabot <umeabot> 12.2.0-2.mga3
+ Revision: 379596
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 12.2.0-1.mga3
+ Revision: 334183
- Update to 12.2.0

* Wed Nov 23 2011 philippem <philippem> 11.1.0-1.mga3
+ Revision: 171298
- Update to 11.1.0

* Sun Jun 19 2011 kharec <kharec> 11.0.0-1.mga2
+ Revision: 109921
- new version 11.0.0

* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55790
- update to 10.2.0

* Sun Jan 23 2011 ennael <ennael> 10.1.0-2.mga1
+ Revision: 34758
- imported package python-twisted-lore


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 10.1.0-2mdv2011.0
+ Revision: 592088
- Rebuild

* Tue Jul 20 2010 Lev Givon <lev@mandriva.org> 10.1.0-1mdv2011.0
+ Revision: 555030
- Update to 10.1.0.

* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514222
- Update to 10.0.0.

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 9.0.0-1mdv2010.1
+ Revision: 485508
- Update to new version 9.0.0

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323853
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.1.0-2mdv2009.1
+ Revision: 318660
- rebuild for python 2.6

* Sat Jun 14 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219086
-update to new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.2.0-2mdv2008.1
+ Revision: 126219
- kill re-definition of %%buildroot on Pixel's request


* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-2mdv2007.0
+ Revision: 96994
- Rebuild against new python
- Import python-twisted-lore

* Tue May 30 2006 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2007.0
- 0.2.0 
- fix url

* Mon Feb 06 2006 Michael Scherer <misc@mandriva.org> 0.1.0-3mdk
- remove noarch tagging, use macro

* Mon May 16 2005 Michael Scherer <misc@mandriva.org> 0.1.0-2mdk
- fix requires

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package

